Subject: Re: [PATCH 12/40] x86, compat: convert ia32 layer to use

From: Frederic Weisbecker <[email-masked]>
Date: Wed, 23 Jun 2010 12:36:21 +0200

On Wed, Jun 23, 2010 at 12:14:02PM +0200, Christoph Hellwig wrote:
> Any reason we need to differenciate between COMPAT_SYSCALL_DEFINE and
> ARCH_COMPAT_SYSCALL_DEFINE?  We don't need this for native system calls,
> so I can't see the reason to do it for compat system calls.
> 

I think we wanted that to keep the sys32_ prefixed based naming, to avoid
collisions with generic compat handler names.